<?php

namespace WcElectronInvoice\WooCommerce\Providers;

use WcElectronInvoice\Providers\OrderItemAbstract;

defined( 'ABSPATH' ) || die( 'Not allowed.' );

class OrderItem extends OrderItemAbstract {

	/**
	 * @var \WC_Order_Item
	 */
	protected $order_item;

	function get_id() {
		return $this->order_item->get_id();
	}

	function get_product_id() {
		return $this->order_item->get_product_id();
	}

	function get_product() {
		return $this->order_item->get_product();
	}

	function get_name() {
		// TODO: Implement get_name() method.
	}

	function get_total() {
		return $this->order_item->get_total();
	}

	function get_total_tax() {
		return $this->order_item->get_total_tax();
	}

	function get_sku() {
		$product = wc_get_product($this->order_item->get_product_id());
		return $product->get_sku() ? $product->get_sku() : '';
	}

	function get_data() {
		return $this->order_item->get_data();
	}

	function get_variation_id() {
		return $this->order_item->get_variation_id();
	}

	function get_tax_class() {
		return $this->order_item->get_tax_class();
	}
}
